/**
 * CNumerical - 数值显示
 * @author Tevin
 */

<template>
    <view class="c-numerical at-row at-row--wrap">
        <view
            class="at-col"
            v-for="(item,index) in values"
            :key="index"
            :class="'at-col-' + valueFlex[index]"
        >
            <view class="c-numerical-value">{{item.value}}</view>
            <view class="c-numerical-title">{{item.title}}</view>
        </view>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import {} from 'taro-ui-vue';
import './cNumerical.scss';

export default {
    name: 'CNumerical',
    components: {},
    props: {
        values: Array,
    },
    computed: {
        valueFlex() {
            return this.values.map((item, index) => {
                const surplus = this.values.length % 3;
                if (surplus === 0) {
                    return 4;
                } else if (surplus === 1) {
                    if (index === this.values.length - 1) {
                        return 12;
                    } else {
                        return 4;
                    }
                } else if (surplus === 2) {
                    if (index >= this.values.length - 2) {
                        return 6;
                    } else {
                        return 4;
                    }
                }
            });
        },
    },
    data() {
        return {};
    },
    methods: {},
};
</script>
